Subject: [Sipping] anil-sipping-bla-02

From: "Cullen Jennings" <[email-masked]>
Date: Sat, 30 Jul 2005 10:19:37 -0400

I like this - it seems like the right basic approach for this much used
feature - I hope it moves forward.

There is a trick to the dialog package that I think you need to use.

When the phone goes off hook, you send a NOTIFY with a state of trying but
no local tag or remote tag. Then the phone enters some digits and sends and
invite. At this point it sends a NOTIFY with state of trying but with the
from tag set. These are really two different states but for some insane
reason they are represented as one.

Seems some stage changes happened from 05 to 06 version of dialog draft so
the 06 dialog package may no longer work for this  - need to look into that.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP